Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235248 - SELinux: explicitly set i_ino on all creations in selinuxfs to avoid collisions with assignment ranges
Summary: SELinux: explicitly set i_ino on all creations in selinuxfs to avoid collisio...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Paris
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 17:56 UTC by Eric Paris
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 21:03:08 UTC


Attachments (Terms of Use)

Description Eric Paris 2007-04-04 17:56:21 UTC
http://marc.info/?l=selinux&m=117570344809918&w=2

selinux fs uses set i_ino for most of its inodes.  The exceptions are
directories and those inside avc/*

since the i_ino for those is determined by a global counter it is possible they
will colide with the ranges specified for booleans or initial_sids

We need to explicitly set all i_ino in order to make sure collision isn't possible.


Note You need to log in before you can comment on or make changes to this bug.